import useContainerBreakpointIsAtMost from "../../../../../hooks/breakpoint/useContainerBreakpointIsAtMost/index.js";
import Label from './Label';
const SingleStateLabels = function SingleStateLabels(props) {
  const {
    margins,
    scales,
    sizes,
    area,
    chartId
  } = props;
  const isXXS = useContainerBreakpointIsAtMost('xxs');
  return <g className="labels">
      {margins.map(m => <Label chartId={chartId} area={area} scales={scales} sizes={sizes} isXXS={isXXS} {...m} />)}
    </g>;
};
export default SingleStateLabels;